$( document ).ready(function() {
    // active les tooltips
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    // labels formulaire
    function initFormLabels() {
        var inputs = $('form .customLabel').find('.form-control');
        inputs.on('focus', function() {
            $(this).siblings('label').addClass('is-focused');
        });
        inputs.on('focusout', function() {
            if ($(this).val().length == 0) {
                $(this).siblings('label').removeClass('is-focused');
            }
        });
    }
    initFormLabels();
    
    // selectickers formulaires
    function initCustomSelectors() {
//        if( !/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent) || $(window).width() > 768) {
            $('.selectpickeritem').selectpicker({                
                dropupAuto: false
            });
//        }
        //Gestion de la croix.
        $('.selectpickeritem').siblings('.dropdown-toggle').click(function(e){
            if(!$(this).hasClass('bs-placeholder')){
                e.preventDefault();
                e.stopPropagation();
                var width = $(this).width();
                var mouseX = e.offsetX;

                if(mouseX>(width-50)){
                    //On est sur la croix.
                    $(this).parent().find('.selectpickeritem').selectpicker('val', null );
                    $(this).trigger('click');

                }
            }
        });
        //Pour les select qui conservent leurs placeholder
        $('.selectpickeritem.keepPlaceholder').on('changed.bs.select', function () {
            $(this).next().find('.placeholder').remove();
            if($(this).val()!=null){
                var placeholder = $(this).attr('data-name');
                if(placeholder==undefined){
                    placeholder = $(this).attr('title');
                }
                $('<div class="placeholder">'+placeholder+'</div>').insertBefore($(this).next().find('.filter-option-inner'));
            }
        });
        //Pour les select qui ont une navigation en carousel par optgroup
        if(/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
        } else {                
            $('.selectpickeritem.groupSlide').selectpicker('refresh');
            $('.bootstrap-select.groupSlide').each(function(){
                var activeOptGroup = 1;
                $(this).on('show.bs.select', function () {

                    var actives = $(this).find('li.optgroup-'+activeOptGroup+'.dropdown-header ,li.optgroup-'+activeOptGroup+' a');
                    $(this).find('li,li>a').removeClass('show');
                    actives.addClass('show');
                    var headers = $(this).find('li.dropdown-header');
                    headers.each(function(header){
                        if($(this).find('span.next, span.prev').length==0){
                            if($(this).find('~ .dropdown-header').length>0){
                                $(this).prepend('<span class="prev">prev</span>');
                                $(this).find('.prev').click(function(){
                                    activeOptGroup++;
                                    actives = $(this).parent().parent().find('li.optgroup-'+activeOptGroup+'.dropdown-header ,li.optgroup-'+activeOptGroup+' a');
                                    $(this).parent().parent().find('li,li>a').removeClass('show');
                                    actives.addClass('show');
                                });
                            }
                            if(!$(this).hasClass('optgroup-1')){
                                $(this).append('<span class="next">next</span>');
                                $(this).find('.next').click(function(){
                                    activeOptGroup--;
                                    actives = $(this).parent().parent().find('li.optgroup-'+activeOptGroup+'.dropdown-header ,li.optgroup-'+activeOptGroup+' a');
                                    $(this).parent().parent().find('li,li>a').removeClass('show');
                                    actives.addClass('show');
                                });
                            }

                        }

                    });
                });
            });
        }
    }
    initCustomSelectors();

    // carousel triple
    if ($(window).width() >= 768) {        
        $('.carousel-triple .carousel-item').each(function() {
            var next = $(this).next();
            if (!next.length) {
                next = $(this).siblings(':first');
            }
            next.children(':first-child').clone().appendTo($(this));

            if (next.next().length>0) {
                next.next().children(':first-child').clone().appendTo($(this));
            }
            else {
                $(this).siblings(':first').children(':first-child').clone().appendTo($(this));
            }
        });
    }
});